Axis2/C: transport receiver

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# transport receiver
[transport]

## Files
file | axis2_transport_receiver.h
| Axis2 description transport receiver interface.

## Classes
struct | axis2_transport_receiver_ops
| Description Transport Receiver ops struct Encapsulator struct for ops of axis2_transport_receiver. More...
struct | axis2_transport_receiver
| Transport Reciever struct. More...
## Typedefs
typedef struct axis2_transport_receiver | axis2_transport_receiver_t
typedef struct axis2_transport_receiver_ops | axis2_transport_receiver_ops_t
## Functions
AXIS2_EXTERN void | axis2_transport_receiver_free (axis2_transport_receiver_t *transport_receiver, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_transport_receiver_init (axis2_transport_receiver_t *transport_receiver, const axutil_env_t *env, struct axis2_conf_ctx *conf_ctx, struct axis2_transport_in_desc *transport_in)
AXIS2_EXTERN axis2_status_t | axis2_transport_receiver_start (axis2_transport_receiver_t *transport_receiver, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_transport_receiver_stop (axis2_transport_receiver_t *transport_receiver, const axutil_env_t *env)
AXIS2_EXTERN axis2_endpoint_ref_t * | axis2_transport_receiver_get_reply_to_epr (axis2_transport_receiver_t *transport_receiver, const axutil_env_t *env, const axis2_char_t *svc_name)
AXIS2_EXTERN struct axis2_conf_ctx * | axis2_transport_receiver_get_conf_ctx (axis2_transport_receiver_t *transport_receiver, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axis2_transport_receiver_is_running (axis2_transport_receiver_t *transport_receiver, const axutil_env_t *env)

## Detailed Description

Description.

## Typedef Documentation

typedef struct axis2_transport_receiver_ops axis2_transport_receiver_ops_t

Type name for axis2_transport_receiver_ops

typedef struct axis2_transport_receiver axis2_transport_receiver_t

Type name for axis2_transport_receiver

## Function Documentation

AXIS2_EXTERN void axis2_transport_receiver_free | ( | axis2_transport_receiver_t * | transport_receiver,
|  | const axutil_env_t * | env |
| ) |  |  |

Frees the transport receiver.

See also:
  axis2_transport_receiver::free

AXIS2_EXTERN struct axis2_conf_ctx* axis2_transport_receiver_get_conf_ctx | ( | axis2_transport_receiver_t * | transport_receiver,
|  | const axutil_env_t * | env |
| ) |  |  | `[read]`

Get conf ctx.

See also:
  axis2_transport_receiver::get_conf_ctx

AXIS2_EXTERN axis2_endpoint_ref_t* axis2_transport_receiver_get_reply_to_epr | ( | axis2_transport_receiver_t * | transport_receiver,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | svc_name |
| ) |  |  |

Get reply to epr.

See also:
  axis2_transport_receiver::get_reply_to_epr

AXIS2_EXTERN axis2_status_t axis2_transport_receiver_init | ( | axis2_transport_receiver_t * | transport_receiver,
|  | const axutil_env_t * | env,
|  | struct axis2_conf_ctx * | conf_ctx,
|  | struct axis2_transport_in_desc * | transport_in |
| ) |  |  |

Initialize the transport receiver.

See also:
  axis2_transport_receiver::init

AXIS2_EXTERN axis2_bool_t axis2_transport_receiver_is_running | ( | axis2_transport_receiver_t * | transport_receiver,
|  | const axutil_env_t * | env |
| ) |  |  |

Is running.

See also:
  axis2_transport_receiver::is_running

AXIS2_EXTERN axis2_status_t axis2_transport_receiver_start | ( | axis2_transport_receiver_t * | transport_receiver,
|  | const axutil_env_t * | env |
| ) |  |  |

Start

See also:
  axis2_transport_receiver::start

AXIS2_EXTERN axis2_status_t axis2_transport_receiver_stop | ( | axis2_transport_receiver_t * | transport_receiver,
|  | const axutil_env_t * | env |
| ) |  |  |

Stop.

See also:
  axis2_transport_receiver::stop